\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-4.5,0.5) rectangle (0,4.5);
\fill[line width=1.5pt,fill=G3,fill opacity=1] (-4,1) -- (-2,1) -- (-1,2) -- (-1,4) -- (-3,4) -- (-4,3) -- cycle;
\draw [line width=1.5pt] (-2,1)-- (-1,2);
\draw [line width=1.5pt] (-1,2)-- (-1,4);
\draw [line width=1.5pt] (-1,4)-- (-3,4);
\draw [line width=1.5pt] (-3,4)-- (-4,3);
\draw [line width=1.5pt] (-4,3)-- (-4,1);
\draw [line width=1.5pt] (-4,1)-- (-2,1);
\draw [line width=1.5pt] (-2,1)-- (-2,3);
\draw [line width=1.5pt] (-2,3)-- (-4,3);
\draw [line width=1.5pt] (-2,3)-- (-1,4);
\draw [line width=1.5pt,mydashed] (-3,2)-- (-4,1);
\draw [line width=1.5pt,mydashed] (-3,4)-- (-3,2);
\draw [line width=1.5pt,mydashed] (-3,2)-- (-1,2);
\draw [line width=1.5pt] (-4,1)-- (-2,1);
\draw [line width=1.5pt] (-2,1)-- (-1,2);
\draw [line width=1.5pt] (-1,2)-- (-1,4);
\draw [line width=1.5pt] (-1,4)-- (-3,4);
\draw [line width=1.5pt] (-3,4)-- (-4,3);
\draw [line width=1.5pt] (-4,3)-- (-4,1);
\end{tikzpicture}
\end{document}